sexta-feira, 23 de outubro de 2015

Que? App Transport Security Policy?

Construir coisas com recursos muito novos pode dar nisso, mensagens malucas que não apenas levam um tempo para serem entendidas mas também acabam gerando um pouco de frustração, principalmente quando se da conta que a ferramenta ainda não dá suporte ao XCode 7.


Para ser mais exato o problema se chama The resource could not be loaded because the App Transport Security policy requires the use of a secure connection.


Esta situação somente afeta quem usa o Mac e atualizou o XCode recentemente para a nova versão, se estiver usando outro emulador, como o KBN, por exemplo, não viverá este problema.


Portanto, fica a dica, não saia atualizando tudo sem antes dar uma olhada se o Genexus já oferece suporte ao recurso. Quanto ao XCode, sim, já estão trabalhando para atender aos recursos de proteção incluidos nesta nova versao, eu só vou ter que esperar um pouquinho, :(